/*
.vb-product-background{
   position: absolute;
  left: 0px;
  top: 0px;
  width: 100%;
  height: 100%;
  background-image: var(--vb-single-product-bg,none) !important;
  background-repeat: no-repeat;
  background-size: 100%;
  background-attachment: fixed;
 
}
.vb-product-background::before{
content: "";
  position: absolute;
  left: 0px;
  top: 0px;
  width: 100%; 
  height: 100%;
 
  background:rgba(255,255,255,0.8);
}
*/
.vb-single-product-content {
	width: 100% !important;
}

.vb-post-single-product {
	--dt-sp: var(--vb-sp-l)!important;
	--post-ag: var(--vb-layout-ag,var(--single-product-layout-ag,start))!important;
	--dt-ag: var(--vb-ag,var(--single-product-ag,start))!important;
	
 }

.vb-post-single-product *{
	--vb-tl-fn-sz:var(--vb-h3-fn-sz);
 	--vb-tl-li-ht:var(--vb-h3-li-ht);
	 
}
body .vb-post-single-product .vb-el-single-product-images {
	display: none !important;
	margin: 0px !important;
	padding: 0px !important;
	width: var(--vb-single-product-img-wt,var(--single-product-img-wt)) !important;
	max-width: var(--vb-single-product-img-mx-wt,var(--single-product-img-mx-wt)) !important;
	align-self: var(--post-ag,initial) !important;
	display: var(--post-display,flex) !important;
}

 div.vb-single-product-details-inner {
 	padding: 0px!important;
	display:inline-flex !important;
	gap: var(--vb-sp-m);
	align-items:center !important;
  justify-content: var(--vb-single-product-dt-ag,start)!important;
	--vb-single-product-dt-inner-sp:var(--vb-sp-l) 0px 0px 0px!important;
	width: 100% !important;
}

div.vb-single-product-details-inner > div{
	width:auto !important;
	margin:0px !important;
}

div.vb-el-single-product-title {
 	padding: 0px!important;
	margin: 0px !important;
	width: 100% !important;
}
div.vb-el-single-product-breadcrumbs {
 	padding: 0px!important;
	margin:0 0px  var(--vb-single-product-brmb-sp,var(--vb-sp-xs)) 0px!important;

	width: 100% !important;
}
 
div.vb-el-single-product-sub-title {
	margin: var(--vb-single-product-sub-tl-sp,var(--vb-sp-xs)) 0px 0px 0px!important;
 	padding: 0px !important;
 	width: 100% !important;
	display:flex;	
}
.vb-details div[class*="vb-el-single-product-divider"] {
	margin: var(--vb-single-product-divider-sp,var(--vb-sp-l))  0px 0px !important;
	width: 100% !important;
	--vb-dv-sz: 1px !important;
}
.vb-details div.vb-el-single-product-divider-1 {
	margin: var(--vb-single-product-divider-1-sp,var(--vb-sp-xs))  0px 0px  !important;
	width: 100% !important;
	--vb-dv-sz: 1px !important;
}
div.vb-el-single-product-rating {
	margin:var(--vb-single-product-rating-sp,var(--vb-sp-s)) 0px 0px!important;
	padding: 0px!important;
	width: 100% !important;
}

div.vb-el-single-product-price {
	margin:var(--vb-single-product-price-sp,var(--vb-sp-s)) 0px  0px !important;
 	padding: 0px!important;
	width: 100% !important;
}

div.vb-el-single-product-price * {
  --vb-price-fn-sz:var(--vb-fn-sz-xl) ; 
}
div.vb-el-single-product-excerpt {
	margin: var(--vb-single-product-ex-sp,var(--vb-sp-l)) 0px 0px !important;
	padding: 0px!important;
	width: 100% !important;
}

div.vb-el-single-product-excerpt .vb-txt-excerpt{
  --txt-fn-sz: var(--vb-ex-fn-sz,var(--vb-ex-sz,var(--vb-fn-sz-xs)));
}
div.vb-el-single-product-excerpt .vb-txt-excerpt ul{
 	--vb-li-sp:5px;
 
}
div.vb-product-countdown {
	margin:var(--vb-single-product-cd-sp,var(--vb-sp-l)) 0px 0px !important;
	padding: 0px!important;
	width: 100% !important;
}

div.vb-el-single-product-stock {
	margin:var(--vb-single-product-stock-sp,var(--vb-sp-l)) 0px 0px !important;
	padding: 0px!important;
	width: 100% !important;
	--vb-stock-pd:0px;
}
div.vb-el-single-product-add-to-cart {
	margin:var(--vb-single-product-atc-sp,var(--vb-sp-l)) 0px 0px !important;
	padding: 0px!important;
	width: 100% !important;
}
.vb-post-single-product > .vb-details > .yith-add-to-wishlist-button-block,
.vb-post-single-product > .vb-details > .compare,
.vb-post-single-product > .vb-details > .yith-wcwl-add-to-wishlist {
	display: none !important;
}
div.vb-el-single-product-add-to-cart:has(.single_add_to_cart_button ) ~ div.vb-single-product-button {
	margin:var(--vb-single-product-btn-sp,var(--vb-sp-m)) 0 0 ;
}
div.vb-single-product-button {
	margin:var(--vb-single-product-btn-sp,0px) 0 0 0 ;
}
div.vb-single-product-button,
div.vb-single-product-cat-rating{
	display: flex !important;
	gap: var(--vb-sp-m);
	width:100%;
	justify-content:var(--vb-single-product-btn-ag,start);
 	flex-wrap: wrap !important;
}
div.vb-single-product-cat{
	margin:var(--vb-single-product-cat-rating-sp,var(--vb-sp-m)) 0px 0 0 ;
 	justify-content:var(--vb-single-product-cat-ag,start);
		  align-items: center;

}
div.vb-single-product-cat-rating div{
	width:auto !important;
	margin:0px !important;
 }
div.vb-el-single-add-to-wish,
div.vb-el-single-add-to-compare {
	margin: 0px  !important;
	padding: 0px!important;
}

div.vb-el-single-product-meta,
div.vb-el-single-product-sku,
div.vb-el-single-product-cat,
div.vb-el-single-product-brand,
div.vb-el-single-product-tag {
 	padding: 0px!important;
	width: 100% !important;
}

div.vb-el-single-product-meta{
	margin:var(--vb-single-product-meta-sp,var(--vb-sp-l)) 0px 0px !important;
}
div.vb-el-single-product-sku{
	margin:var(--vb-single-product-sku-sp,var(--vb-sp-l)) 0px 0px !important;	
}
div.vb-el-single-product-cat{
	margin:var(--vb-single-product-cat-sp,var(--vb-sp-l)) 0px 0px !important;	
}
div.vb-el-single-product-brand{
		margin:var(--vb-single-product-brand-sp,var(--vb-sp-l)) 0px 0px !important;	
}
div.vb-el-single-product-tag {
	margin:var(--vb-single-product-tag-sp,var(--vb-sp-l)) 0px 0px !important;
 
}
div.vb-el-single-product-attributes {
	margin:var(--vb-single-product-attr-sp,var(--vb-sp-l)) 0px 0px!important;
	padding: 0px!important;
	width: 100% !important;
}

div.vb-el-single-product-note {
	margin: var(--vb-single-product-note-sp,var(--vb-sp-l)) 0px 0px !important;
	padding: 0px!important;
	width: 100% !important;
}

div.vb-el-share-buttons{
	margin:var(--vb-single-product-share-sp,var(--vb-sp-s)) 0px 0px !important;
	--vb-share-fn-sz:11px;
		width: 100% !important;

}

 div.vb-el-single-product-preparation-time{
	margin:var(--vb-single-product-pretime-sp,var(--vb-sp-l)) 0px 0px !important;
	--vb-pretime-br-wt:0px;
	--vb-pretime-pd:0px;
	--vb-pretime-bg:none;
 	
 }
 /*
.vb-details-end{
	margin:var(--vb-single-product-pretime-sp,var(--vb-sp-l)) 0px 0px !important;	
	--vb-pretime-br-wt:0px;
	
	--vb-pretime-pd:0px;
}
 
body .vb-post-single-product .vb-el-buy-box{
 
	margin:0px !important;
}

.vb-el-buy-box{
	--vb-el-wt:var(--vb-buy-box-wt,300px) !important;
	--vb-box-bg: var(--vb-buy-box-bg,var(--vb-global-gry-bg));
	--vb-box-br-wt: var(--vb-buy-box-br-wt,0px);
	--vb-box-br-cr: var(--vb-buy-box-br-cr,var(--vb-global-br-cr));
	--vb-box-br-st: var(--vb-buy-box-br-st,solid);
	--vb-box-pd: var(--vb-buy-box-pd,var(--vb-sp-l));
	--vb-box-rd: var(--vb-buy-box-rd,var(--vb-global-rd));
}
 
.vb-buy-box{
	width: 100%;
	float:inline-start; 
}
#vb-single-product .vb-buy-box > div[class*="vb-el-"]:first-child{
	margin-top:0px !important;	
}
.vb-buy-box .vb-btn-add-to-cart{
	  flex-grow: 1!important;
	  width:0px !important;
}*/